[OE-core] [PATCH] libevent: add ptest

Dmitry Eremin-Solenikov dmitry_eremin at mentor.com
Mon May 11 19:52:29 UTC 2015


Use provided regression testing as a ptest for libevent package.

Signed-off-by: Dmitry Eremin-Solenikov <dmitry_eremin at mentor.com>
---
 meta/recipes-support/libevent/libevent/run-ptest | 18 ++++++++++++++++++
 meta/recipes-support/libevent/libevent_2.0.22.bb | 17 ++++++++++++++++-
 2 files changed, 34 insertions(+), 1 deletion(-)
 create mode 100644 meta/recipes-support/libevent/libevent/run-ptest

diff --git a/meta/recipes-support/libevent/libevent/run-ptest b/meta/recipes-support/libevent/libevent/run-ptest
new file mode 100644
index 0000000..d521688
--- /dev/null
+++ b/meta/recipes-support/libevent/libevent/run-ptest
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+fail=0
+for test in ./test/*
+do
+	$test
+	if [ $? -eq 0 ]
+	then
+		fail=1
+	fi
+done
+
+if [ $fail -eq 0 ]
+then
+	echo "PASS: libevent"
+else
+	echo "FAIL: libevent"
+fi
diff --git a/meta/recipes-support/libevent/libevent_2.0.22.bb b/meta/recipes-support/libevent/libevent_2.0.22.bb
index 3f9475e..2f49293 100644
--- a/meta/recipes-support/libevent/libevent_2.0.22.bb
+++ b/meta/recipes-support/libevent/libevent_2.0.22.bb
@@ -6,7 +6,10 @@ SECTION = "libs"
 LICENSE = "BSD"
 LIC_FILES_CHKSUM = "file://LICENSE;md5=45c5316ff684bcfe2f9f86d8b1279559"
 
-SRC_URI = "${SOURCEFORGE_MIRROR}/levent/${BP}-stable.tar.gz"
+SRC_URI = " \
+    ${SOURCEFORGE_MIRROR}/levent/${BP}-stable.tar.gz \
+    file://run-ptest \
+"
 
 SRC_URI[md5sum] = "c4c56f986aa985677ca1db89630a2e11"
 SRC_URI[sha256sum] = "71c2c49f0adadacfdbe6332a372c38cf9c8b7895bb73dabeaa53cdcc1d4e1fa3"
@@ -20,3 +23,15 @@ inherit autotools
 
 # Needed for Debian packaging
 LEAD_SONAME = "libevent-2.0.so"
+
+inherit ptest
+
+DEPENDS = "zlib"
+
+do_install_ptest() {
+	install -d ${D}${PTEST_PATH}/test
+	for file in ${B}/test/.libs/regress ${B}/test/.libs/test*
+	do
+		install -m 0755 $file ${D}${PTEST_PATH}/test
+	done
+}
-- 
2.1.4




More information about the Openembedded-core mailing list